> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hashtag Trend Snapshot-EchoTik

> Get up to 180 days of daily trend snapshots for a hashtag by hashtag_id and region. The response includes daily deltas for comments, likes, favorites, shares, video count, and views, helping analyze whether a topic is still growing or has already peaked.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button type="button" className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50" onClick={() => navigator.clipboard.writeText("I want to make an API call to https://api.keyapi.ai/v1/tiktok/hashtag/trend/analytics.\n\nPlease help me write code to make this API call and handle the response appropriately. Include error handling and best practices.\n\nHere are the details:\n\nEndpoint: GET https://api.keyapi.ai/v1/tiktok/hashtag/trend/analytics\n\nDescription: Get up to 180 days of daily trend snapshots for a hashtag by hashtag_id and region. The response includes daily deltas for comments, likes, favorites, shares, video count, and views, helping analyze whether a topic is still growing or has already peaked.\n\nRequired Headers:\n--header 'Authorization: Bearer <YOUR_API_KEY>'\n\nParameters:\n- hashtag_id (Required): Hashtag ID.. Example: 7369995007748964394\n- region (Required): Region or market code, such as US.. Example: US\n- start_date (Required): Start date in yyyy-MM-dd format.. Example: 2026-06-15\n- end_date (Required): End date in yyyy-MM-dd format.. Example: 2026-07-05\n- page_num (Required): Page number.. Example: 1\n- page_size (Required): Page size.. Example: 10\n\nExample Response:\n{\n  \"code\": 0,\n  \"message\": \"success\",\n  \"data\": [\n    {\n      \"dt\": \"2026-06-15\",\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"total_comments_1d_cnt\": 28051,\n      \"total_comments_cnt\": 8319040,\n      \"total_digg_1d_cnt\": 936762,\n      \"total_digg_cnt\": 321444886,\n      \"total_favorites_1d_cnt\": 191215,\n      \"total_favorites_cnt\": 52361129,\n      \"total_shares_1d_cnt\": 81044,\n      \"total_shares_cnt\": 36227792,\n      \"total_video_1d_cnt\": 13522,\n      \"total_video_cnt\": 3183143,\n      \"total_views_1d_cnt\": 109736642,\n      \"total_views_cnt\": 24241138352\n    },\n    {\n      \"dt\": \"2026-06-16\",\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"total_comments_1d_cnt\": 116460,\n      \"total_comments_cnt\": 8435500,\n      \"total_digg_1d_cnt\": 2303339,\n      \"total_digg_cnt\": 323748225,\n      \"total_favorites_1d_cnt\": 409527,\n      \"total_favorites_cnt\": 52770656,\n      \"total_shares_1d_cnt\": 209668,\n      \"total_shares_cnt\": 36437460,\n      \"total_video_1d_cnt\": 96235,\n      \"total_video_cnt\": 3279378,\n      \"total_views_1d_cnt\": 258969897,\n      \"total_views_cnt\": 24500108249\n    },\n    {\n      \"dt\": \"2026-06-17\",\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"total_comments_1d_cnt\": 43662,\n      \"total_comments_cnt\": 8479162,\n      \"total_digg_1d_cnt\": 710384,\n      \"total_digg_cnt\": 324458609,\n      \"total_favorites_1d_cnt\": 152630,\n      \"total_favorites_cnt\": 52923286,\n      \"total_shares_1d_cnt\": 74948,\n      \"total_shares_cnt\": 36512408,\n      \"total_video_1d_cnt\": 30286,\n      \"total_video_cnt\": 3309664,\n      \"total_views_1d_cnt\": 103601653,\n      \"total_views_cnt\": 24603709902\n    },\n    {\n      \"dt\": \"2026-06-18\",\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"total_comments_1d_cnt\": 125175,\n      \"total_comments_cnt\": 8604337,\n      \"total_digg_1d_cnt\": 2291515,\n      \"total_digg_cnt\": 326750124,\n      \"total_favorites_1d_cnt\": 422305,\n      \"total_favorites_cnt\": 53345591,\n      \"total_shares_1d_cnt\": 237272,\n      \"total_shares_cnt\": 36749680,\n      \"total_video_1d_cnt\": 90774,\n      \"total_video_cnt\": 3400438,\n      \"total_views_1d_cnt\": 255187727,\n      \"total_views_cnt\": 24858897629\n    },\n    {\n      \"dt\": \"2026-06-19\",\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"total_comments_1d_cnt\": 116950,\n      \"total_comments_cnt\": 8721287,\n      \"total_digg_1d_cnt\": 2901953,\n      \"total_digg_cnt\": 329652077,\n      \"total_favorites_1d_cnt\": 570581,\n      \"total_favorites_cnt\": 53916172,\n      \"total_shares_1d_cnt\": 265196,\n      \"total_shares_cnt\n  ... truncated ...")}>
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/tiktok.openapi.json GET /v1/tiktok/hashtag/trend/analytics
openapi: 3.0.1
info:
  title: Tiktok API english documentation
  description: >-
    The english reference documentation of the Tiktok API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags:
  - name: TikTok Influencer
  - name: TikTok Shop
  - name: TikTok Content
  - name: TikTok Intelligence
paths:
  /v1/tiktok/hashtag/trend/analytics:
    get:
      tags:
        - TikTok Intelligence
      summary: Hashtag Trend  Snapshot-EchoTik
      description: >-
        Get up to 180 days of daily trend snapshots for a hashtag by hashtag_id
        and region. The response includes daily deltas for comments, likes,
        favorites, shares, video count, and views, helping analyze whether a
        topic is still growing or has already peaked.
      parameters:
        - name: hashtag_id
          in: query
          description: Hashtag ID.
          required: true
          example: '7369995007748964394'
          schema:
            type: string
            example: '7369995007748964394'
        - name: region
          in: query
          description: Region or market code, such as US.
          required: true
          example: US
          schema:
            type: string
            example: US
        - name: start_date
          in: query
          description: Start date in yyyy-MM-dd format.
          required: true
          example: '2026-06-15'
          schema:
            type: string
            example: '2026-06-15'
        - name: end_date
          in: query
          description: End date in yyyy-MM-dd format.
          required: true
          example: '2026-07-05'
          schema:
            type: string
            example: '2026-07-05'
        - name: page_num
          in: query
          description: Page number.
          required: true
          example: 1
          schema:
            type: integer
            example: 1
        - name: page_size
          in: query
          description: Page size.
          required: true
          example: 10
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        dt:
                          type: string
                        region:
                          type: string
                        tag_id:
                          type: string
                        total_comments_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_comments_cnt:
                          type: integer
                        total_digg_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_digg_cnt:
                          type: integer
                        total_favorites_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_favorites_cnt:
                          type: integer
                        total_shares_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_shares_cnt:
                          type: integer
                        total_video_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_video_cnt:
                          type: integer
                        total_views_1d_cnt:
                          type: integer
                          description: 近1日增量数据
                        total_views_cnt:
                          type: integer
                  requestId:
                    type: string
                required:
                  - code
                  - message
                  - data
                  - requestId
              example:
                code: 0
                message: success
                data:
                  - dt: '2026-06-15'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 28051
                    total_comments_cnt: 8319040
                    total_digg_1d_cnt: 936762
                    total_digg_cnt: 321444886
                    total_favorites_1d_cnt: 191215
                    total_favorites_cnt: 52361129
                    total_shares_1d_cnt: 81044
                    total_shares_cnt: 36227792
                    total_video_1d_cnt: 13522
                    total_video_cnt: 3183143
                    total_views_1d_cnt: 109736642
                    total_views_cnt: 24241138352
                  - dt: '2026-06-16'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 116460
                    total_comments_cnt: 8435500
                    total_digg_1d_cnt: 2303339
                    total_digg_cnt: 323748225
                    total_favorites_1d_cnt: 409527
                    total_favorites_cnt: 52770656
                    total_shares_1d_cnt: 209668
                    total_shares_cnt: 36437460
                    total_video_1d_cnt: 96235
                    total_video_cnt: 3279378
                    total_views_1d_cnt: 258969897
                    total_views_cnt: 24500108249
                  - dt: '2026-06-17'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 43662
                    total_comments_cnt: 8479162
                    total_digg_1d_cnt: 710384
                    total_digg_cnt: 324458609
                    total_favorites_1d_cnt: 152630
                    total_favorites_cnt: 52923286
                    total_shares_1d_cnt: 74948
                    total_shares_cnt: 36512408
                    total_video_1d_cnt: 30286
                    total_video_cnt: 3309664
                    total_views_1d_cnt: 103601653
                    total_views_cnt: 24603709902
                  - dt: '2026-06-18'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 125175
                    total_comments_cnt: 8604337
                    total_digg_1d_cnt: 2291515
                    total_digg_cnt: 326750124
                    total_favorites_1d_cnt: 422305
                    total_favorites_cnt: 53345591
                    total_shares_1d_cnt: 237272
                    total_shares_cnt: 36749680
                    total_video_1d_cnt: 90774
                    total_video_cnt: 3400438
                    total_views_1d_cnt: 255187727
                    total_views_cnt: 24858897629
                  - dt: '2026-06-19'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 116950
                    total_comments_cnt: 8721287
                    total_digg_1d_cnt: 2901953
                    total_digg_cnt: 329652077
                    total_favorites_1d_cnt: 570581
                    total_favorites_cnt: 53916172
                    total_shares_1d_cnt: 265196
                    total_shares_cnt: 37014876
                    total_video_1d_cnt: 80705
                    total_video_cnt: 3481143
                    total_views_1d_cnt: 340243124
                    total_views_cnt: 25199140753
                  - dt: '2026-06-20'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 99311
                    total_comments_cnt: 8820598
                    total_digg_1d_cnt: 1644802
                    total_digg_cnt: 331296879
                    total_favorites_1d_cnt: 390538
                    total_favorites_cnt: 54306710
                    total_shares_1d_cnt: 211304
                    total_shares_cnt: 37226180
                    total_video_1d_cnt: 71968
                    total_video_cnt: 3553111
                    total_views_1d_cnt: 238195683
                    total_views_cnt: 25437336436
                  - dt: '2026-06-21'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 74700
                    total_comments_cnt: 8895298
                    total_digg_1d_cnt: 2310275
                    total_digg_cnt: 333607154
                    total_favorites_1d_cnt: 425962
                    total_favorites_cnt: 54732672
                    total_shares_1d_cnt: 233876
                    total_shares_cnt: 37460056
                    total_video_1d_cnt: 50288
                    total_video_cnt: 3603399
                    total_views_1d_cnt: 275820924
                    total_views_cnt: 25713157360
                  - dt: '2026-06-22'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 167311
                    total_comments_cnt: 9062609
                    total_digg_1d_cnt: 3593760
                    total_digg_cnt: 337200914
                    total_favorites_1d_cnt: 688001
                    total_favorites_cnt: 55420673
                    total_shares_1d_cnt: 359540
                    total_shares_cnt: 37819596
                    total_video_1d_cnt: 114487
                    total_video_cnt: 3717886
                    total_views_1d_cnt: 417803049
                    total_views_cnt: 26130960409
                  - dt: '2026-06-23'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 41528
                    total_comments_cnt: 9104137
                    total_digg_1d_cnt: 1200587
                    total_digg_cnt: 338401501
                    total_favorites_1d_cnt: 261919
                    total_favorites_cnt: 55682592
                    total_shares_1d_cnt: 144552
                    total_shares_cnt: 37964148
                    total_video_1d_cnt: 19468
                    total_video_cnt: 3737354
                    total_views_1d_cnt: 188315526
                    total_views_cnt: 26319275935
                  - dt: '2026-06-24'
                    region: US
                    tag_id: '7369995007748964394'
                    total_comments_1d_cnt: 201237
                    total_comments_cnt: 9305374
                    total_digg_1d_cnt: 4204715
                    total_digg_cnt: 342606216
                    total_favorites_1d_cnt: 799537
                    total_favorites_cnt: 56482129
                    total_shares_1d_cnt: 441592
                    total_shares_cnt: 38405740
                    total_video_1d_cnt: 141420
                    total_video_cnt: 3878774
                    total_views_1d_cnt: 441922136
                    total_views_cnt: 26761198071
                requestId: 393e69bc-5d20-490d-9cac-83b3e1e7d795
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: Missing required parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/tiktok/hashtag/trend/analytics?hashtag_id=7369995007748964394&region=US&start_date=2026-06-15&end_date=2026-07-05&page_num=1&page_size=10' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/tiktok/hashtag/trend/analytics',
                params={"hashtag_id": "7369995007748964394", "region": "US", "start_date": "2026-06-15", "end_date": "2026-07-05", "page_num": 1, "page_size": 10},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"hashtag_id":
            "7369995007748964394", "region": "US", "start_date": "2026-06-15",
            "end_date": "2026-07-05", "page_num": 1, "page_size": 10});


            const response = await
            fetch(`https://api.keyapi.ai/v1/tiktok/hashtag/trend/analytics?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````